float Script : STANDARDSGLOBAL 
<
	string UIWidget = "none";			// скрыть параметр из свойств
	string ScriptOutput = "color";		// всегда color
	string ScriptClass = "scene";		// может быть scene или object
	string ScriptOrder = "postprocess";	// preprocess, standard, postprocess
	string Script = "Technique=main;";
> = 0.8;

float4 gClearColor 
<
    string UIWidget = "color";
    string UIName = "Clear (Bg) Color";
> = {0,0,0,1.0};
float gClearDepth 
<
    string UIWidget = "none";
> = 1.0;

texture2D colorTexture : RENDERCOLORTARGET 
<
    float2 ViewPortRatio = {1.0,1.0};
    int MipLevels = 1;
    string Format = "X8R8G8B8" ;
    string UIWidget = "none";
>;
sampler2D colorSampler = sampler_state 
{
    texture = <colorTexture>;
    AddressU = Clamp;
    AddressV = Clamp;
	MinFilter = Point;
	MagFilter = Point;
	MipFilter = Point;
};

struct vs_input 
{
    float4 pos	: POSITION;
    float2 uv	: TEXCOORD0;
};

struct ps_input
{
    float4 pos	: POSITION;
    float2 uv	: TEXCOORD0;
};

ps_input postVS(vs_input v)
{
    ps_input res;
    res.pos = v.pos;
    res.uv = v.uv;
    return res;
}

float4 postPS(ps_input f) : COLOR
{   
	float3 t = {0.299, 0.587, 0.114};
	float3 c = tex2D(colorSampler, f.uv);
    float3 scn = dot(t, c);
    return float4(scn, 1);
}  

technique main 
<
	string Script =
		"RenderColorTarget0=colorTexture;"
		"ClearSetColor=gClearColor;"
		"ClearSetDepth=gClearDepth;"
		"Clear=Color;"
		"Clear=Depth;"
		"ScriptExternal=color;"
		"Pass=p0;";
> 
{
    pass p0 
	<
       	string Script= 
			"RenderColorTarget0=;"
			"Draw=Buffer;";        	
    >
    {
		VertexShader = compile vs_3_0 postVS();
		PixelShader = compile ps_3_0 postPS();	
	}
}